File python3-matplotlib.spec of Package python3-matplotlib

#
# spec file for package python3-matplotlib
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-matplotlib
Version:        1.4.3
Release:        0
Summary:        Plotting Library for Python
License:        SUSE-Matplotlib
Group:          Development/Libraries/Python
Url:            http://matplotlib.org
Source:         https://pypi.python.org/packages/source/m/matplotlib/matplotlib-%{version}.tar.gz
Source1:        matplotlib-setup.cfg
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  agg-devel
BuildRequires:  fdupes
BuildRequires:  fltk-devel
BuildRequires:  freetype2-devel >= 2.3
BuildRequires:  gcc-c++
BuildRequires:  ghostscript
BuildRequires:  libpng-devel >= 1.2
BuildRequires:  libxml2-tools
BuildRequires:  pkg-config
BuildRequires:  poppler-tools
BuildRequires:  python3
BuildRequires:  python3-CXX-devel >= 6.2.4
BuildRequires:  python3-Pillow
BuildRequires:  python3-dateutil >= 1.1
BuildRequires:  python3-devel
BuildRequires:  python3-numpy-devel >= 1.6
BuildRequires:  python3-pyparsing >= 1.5.6
BuildRequires:  python3-pytz
BuildRequires:  python3-setuptools
BuildRequires:  python3-six >= 1.3
BuildRequires:  qhull-devel >= 2003.1
# needed for testing  -- Not doing tests because they take too long
# BuildRequires:  inkscape
# BuildRequires:  python3-mock
# BuildRequires:  python3-nose
# cairo dependencies
BuildRequires:  python3-cairocffi
# GTK dependencies
BuildRequires:  gtk2-devel
BuildRequires:  libgnome-devel
BuildRequires:  python3-gobject
BuildRequires:  python3-gobject-devel
BuildRequires:  python3-gobject2
BuildRequires:  python3-gobject2-devel
# latex dependencies
BuildRequires:  texlive-dvipng
BuildRequires:  texlive-latex
BuildRequires:  texlive-tex
%if 0%{?suse_version} != 1315
BuildRequires:  texlive-sfmath
%endif
# Qt4 dependencies
# BuildRequires:  python3-pyside
BuildRequires:  python3-qt4
BuildRequires:  python3-qt4-devel
# Qt5 dependencies
%ifnarch ppc64 ppc64le
%if 0%{?suse_version} > 1315
BuildRequires:  python3-qt5
BuildRequires:  python3-qt5-devel
%endif
%endif
# tk dependencies
BuildRequires:  python3-tk
BuildRequires:  tcl
BuildRequires:  tcl-devel
BuildRequires:  tk
BuildRequires:  tk-devel
# WebAgg dependencies
BuildRequires:  python3-tornado
# Wx Dependencies
# BuildRequires:  python3-wxWidgets
# BuildRequires:  wxWidgets-devel
# %%define _use_internal_dependency_generator 0
# %%define __find_requires %%wx_requires
Requires:       python3-dateutil >= 1.1
Requires:       python3-numpy >= 1.6
Requires:       python3-pyparsing >= 1.5.6
Requires:       python3-pytz
Requires:       python3-six >= 1.3
Recommends:     ghostscript
Recommends:     libxml2-tools
Recommends:     python-Pillow
Recommends:     poppler-tools
Recommends:     python-matplotlib-tk

%description
matplotlib is a python 2D plotting library which produces publication
quality figures in a variety of hardcopy formats and interactive
environments across platforms. matplotlib can be used in python
scripts, the python and ipython shell (ala matlab or mathematica), web
application servers, and six graphical user interface toolkits.

%package cairo
Summary:        Cairo backend for %{name}
License:        SUSE-Matplotlib
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}
Requires:       python3-cairocffi

%description cairo
This package includes the non-interactive Cairo-based backend 
for the %{name} plotting package

%package gtk2
Summary:        GTK2 backends for %{name}
License:        BSD-2-Clause
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}
Requires:       %{name}-cairo = %{version}
Requires:       python3-gobject2

%description gtk2
This package includes the GTK2-based gdk, gtk, gtkagg, and
gtkcairo backends for the %{name} plotting package

%package gtk3
Summary:        GTK3 backends for %{name}
License:        BSD-2-Clause
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}
Requires:       %{name}-cairo = %{version}
Requires:       python3-gobject

%description gtk3
This package includes the GTK3-based gtk3, gtk3agg, and
gtk3cairo backends for the %{name} plotting package

%package latex
Summary:        Allow rendering latex in %{name}
License:        BSD-2-Clause
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}
Requires:       texlive-dvipng
Requires:       texlive-latex
Requires:       texlive-tex
%if 0%{?suse_version} != 1315
Requires:       texlive-sfmath
%endif

%description latex
This package allows %{name} to display latex in plots
and figures.

%package qt-shared
Summary:        Shared files for the Qt backends for %{name}
License:        BSD-2-Clause
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}

%description qt-shared
This package includes files needed by both the Qt4-based pyqt4 and 
pyside backends and the Qt5-based pyqt5 backend for the %{name}
plotting package

%package qt4
Summary:        Qt4 backends for %{name}
License:        BSD-2-Clause
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}
Requires:       %{name}-qt-shared = %{version}
# Requires:       python3-pyside
Requires:       python3-qt4

%description qt4
This package includes the Qt4-based pyqt4 and pyside backends
for the %{name} plotting package

%package qt5
Summary:        Qt5 backend for %{name}
License:        BSD-2-Clause
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}
Requires:       %{name}-qt-shared = %{version}
Requires:       python-qt5

%description qt5
This package includes the Qt5-based pyqt5 backend
for the %{name} plotting package

%package designer
Summary:        Qt Designer plugin for %{name}
License:        MIT
Group:          Development/Libraries/Python
Requires:       %{name}-qt4 = %{version}
Requires:       qt-creator

%description designer
This is a plugin and widget to let you use %{name} 
plots as widget in PyQt4 GUIs using Qt Designer

This plugin comes from Python(x,y)

%package tk
Summary:        Tk backend for %{name}
License:        BSD-2-Clause
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}
Requires:       python3-tk
Requires:       tcl >= 8.3

%description tk
This package includes the Tk-based tkagg backend
for the %{name} plotting package

%package web
Summary:        Web backend for %{name}
License:        BSD-2-Clause
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}
Requires:       python3-tornado

%description web
This package includes the browser-based webagg backend
for the %{name} plotting package

%package wx
Summary:        WxWidgets backend for %{name}
License:        BSD-2-Clause
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}
Requires:       python3-wxWidgets

%description wx
This package includes the wxWidgets-based wxagg backend
for %{name} plotting package

%prep
%setup -q -n matplotlib-%{version}
chmod -x lib/matplotlib/mpl-data/images/*.svg
find examples lib/matplotlib lib/mpl_toolkits/mplot3d -type f -name "*.py" -exec sed -i "s|#!\/usr\/bin\/env python||" {} \;

%build
cp %{SOURCE1} ./setup.cfg
%if 0%{?suse_version} > 1310
export XDG_RUNTIME_DIR=/tmp
%endif
python3 setup.py build

%install
%if 0%{?suse_version} > 1310
export XDG_RUNTIME_DIR=/tmp
%endif
python3 setup.py install --root=%{buildroot} --prefix=%{_prefix}
%fdupes %{buildroot}%{python3_sitearch}

%files
%defattr(-,root,root,-)
%doc README.rst LICENSE CHANGELOG PKG-INFO examples doc/users/license.rst
%{python3_sitearch}/matplotlib/
%{python3_sitearch}/matplotlib-%{version}*-nspkg.pth
%{python3_sitearch}/matplotlib-%{version}*.egg-info
%{python3_sitearch}/mpl_toolkits/
%{python3_sitearch}/pylab.py*
%{python3_sitearch}/__pycache__/pylab.cpython-*.pyc
# %exclude %{python3_sitearch}/matplotlib/backends/_backend_gdk.so
# %exclude %{python3_sitearch}/matplotlib/backends/_gtkagg.so
# %exclude %{python3_sitearch}/matplotlib/backends/_tkagg.so
%exclude %{python3_sitearch}/matplotlib/backends/backend_cairo.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_cocoaagg.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_gdk.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_gtk.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_gtkagg.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_gtkcairo.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_gtk3.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_gtk3agg.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_gtk3cairo.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_qt4.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_qt4agg.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_qt5.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_qt5agg.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_tkagg.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_webagg.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_webagg_core.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_wx.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_wxagg.*
%exclude %{python3_sitearch}/matplotlib/backends/qt_compat.*
%exclude %{python3_sitearch}/matplotlib/backends/qt4_compat.*
%exclude %{python3_sitearch}/matplotlib/backends/tkagg.*
%exclude %{python3_sitearch}/matplotlib/backends/qt_editor/
%exclude %{python3_sitearch}/matplotlib/backends/web_backend/
%exclude %{python3_sitearch}/mpl_toolkits/gtktools.*

%files cairo
%defattr(-,root,root,-)
%{python3_sitearch}/matplotlib/backends/backend_cairo.*

%files gtk2
%defattr(-,root,root,-)
# %{python3_sitearch}/matplotlib/backends/_backend_gdk.so
# %{python3_sitearch}/matplotlib/backends/_gtkagg.so
%{python3_sitearch}/matplotlib/backends/backend_gdk.*
%{python3_sitearch}/matplotlib/backends/backend_gtk.*
%{python3_sitearch}/matplotlib/backends/backend_gtkagg.*
%{python3_sitearch}/matplotlib/backends/backend_gtkcairo.*
%{python3_sitearch}/mpl_toolkits/gtktools.*

%files gtk3
%defattr(-,root,root,-)
%{python3_sitearch}/matplotlib/backends/backend_gtk3.*
%{python3_sitearch}/matplotlib/backends/backend_gtk3agg.*
%{python3_sitearch}/matplotlib/backends/backend_gtk3cairo.*

# Dummy package to pull in latex dependencies.

%files latex
%defattr(-,root,root,-)
%doc doc/users/usetex.rst

# IMPORTANT: the qt4 backend makes use of the qt5 backend, 
# which is actually a generic qt backend.
# So we need to package all the qt5 stuff in this generic
# package, and provide a stub package which pulls in the 
# python-qt5 dependency.

%files qt-shared
%defattr(-,root,root,-)
%{python3_sitearch}/matplotlib/backends/backend_qt5.*
%{python3_sitearch}/matplotlib/backends/backend_qt5agg.*
%{python3_sitearch}/matplotlib/backends/qt_compat.*
%{python3_sitearch}/matplotlib/backends/qt4_compat.*
%{python3_sitearch}/matplotlib/backends/qt_editor/

%files qt4
%defattr(-,root,root,-)
%{python3_sitearch}/matplotlib/backends/backend_qt4.*
%{python3_sitearch}/matplotlib/backends/backend_qt4agg.*

%ifnarch ppc64 ppc64le
%if 0%{?suse_version} > 1315
%files qt5
%defattr(-,root,root,-)
# IMPORTANT: the qt4 backend makes use of the qt5 backend, 
# which is actually a generic qt backend.
# So we need to package all the qt5 stuff in a generic
# package, and provide this stub package which pulls in the 
# python-qt5 dependency.
%doc README.rst
%endif
%endif

%if 0%{?suse_version} != 1315
%files tk
%defattr(-,root,root,-)
%{python3_sitearch}/matplotlib/backends/backend_tkagg.*
%{python3_sitearch}/matplotlib/backends/tkagg.*
# %{python3_sitearch}/matplotlib/backends/_tkagg.so
%endif

%files web
%defattr(-,root,root,-)
%{python3_sitearch}/matplotlib/backends/backend_webagg.*
%{python3_sitearch}/matplotlib/backends/backend_webagg_core.*
%{python3_sitearch}/matplotlib/backends/web_backend/

# %files wx
# %defattr(-,root,root,-)
# %{python3_sitearch}/matplotlib/backends/backend_wx.*
# %{python3_sitearch}/matplotlib/backends/backend_wxagg.*

%changelog